Bug 345544 - krunner and plasma crash opening System Settings
Summary: krunner and plasma crash opening System Settings
Status: RESOLVED UPSTREAM
Alias: None
Product: plasmashell
Classification: Unclassified
Component: general (show other bugs)
Version: 5.2.2
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: drkonqi
: 343216 345768 345791 345801 345845 345955 346479 346512 346513 346514 346751 346886 346996 347072 347106 347133 347156 347196 347494 347696 347908 347932 347958 348111 348359 348520 348576 348804 348925 348936 348947 348956 348961 348995 349049 349092 349364 350282 350320 350503 351415 354471 354968 355567 355614 360867 361659 368431 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-03-26 11:46 UTC by Ron Willhoite
Modified: 2016-09-08 14:04 UTC (History)
52 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (36.38 KB, text/plain)
2015-03-27 03:47 UTC, Ron Willhoite
Details
New crash information added by DrKonqi (54.69 KB, text/plain)
2015-04-16 16:58 UTC, bwduncan
Details
New crash information added by DrKonqi (48.60 KB, text/plain)
2015-04-22 18:12 UTC, Torsten Römer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ron Willhoite 2015-03-26 11:46:50 UTC
Application: plasmashell (5.2.2)

Qt Version: 5.4.1
Operating System: Linux 3.19.0-10-generic x86_64
Distribution: Ubuntu Vivid Vervet (development branch)

-- Information about the crash:
- What I was doing when the application crashed:

Kmenu > System Settings

- Unusual behavior I noticed:

System Settings didn't open right away. Mouse cursor very sluggish. After about 15 seconds, the panel disappeared, krunner crash report came up, followed by this plasma crash report, the panel reappeared, and then System Settings opened.

The crash can be reproduced sometimes.

-- Backtrace:
Application: Plasma (plasmashell), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fd942c427c0 (LWP 18028))]

Thread 32 (Thread 0x7fd92e9c9700 (LWP 18029)):
#0  0x00007fd93d9f38dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93ff60b72 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007fd93ff6264f in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007fd930d10049 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
#4  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93d27a6aa in start_thread (arg=0x7fd92e9c9700) at pthread_create.c:333
#6  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 31 (Thread 0x7fd927df6700 (LWP 18045)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a10673e in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106e60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fd93d27a6aa in start_thread (arg=0x7fd927df6700) at pthread_create.c:333
#10 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 30 (Thread 0x7fd9163c1700 (LWP 18058)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106dbd in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd9163c1700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 29 (Thread 0x7fd90ffff700 (LWP 18104)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106fb8 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#6  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93d27a6aa in start_thread (arg=0x7fd90ffff700) at pthread_create.c:333
#8  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 28 (Thread 0x7fd90effe700 (LWP 18105)):
#0  0x00007fd93d9f38dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93a106ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd90effe700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 27 (Thread 0x7fd90dffd700 (LWP 18106)):
#0  0x00007fd93a1067fe in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106e60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd90dffd700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 26 (Thread 0x7fd90cffc700 (LWP 18107)):
#0  0x00007fd93a14b7a4 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106eb1 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd90cffc700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 25 (Thread 0x7fd8ff7ff700 (LWP 18109)):
#0  0x00007fd93a1067fb in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106e60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd8ff7ff700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 24 (Thread 0x7fd8fe7fe700 (LWP 18110)):
#0  0x00007fd93d9f38dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93a106ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd8fe7fe700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 23 (Thread 0x7fd8fd5f5700 (LWP 18111)):
#0  0x00007fd93e06ce0f in QMutex::unlock() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#1  0x00007fd93e30b17d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007fd93a1063fd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#9  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007fd93d27a6aa in start_thread (arg=0x7fd8fd5f5700) at pthread_create.c:333
#11 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 22 (Thread 0x7fd8ebfff700 (LWP 18112)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106409 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fd93d27a6aa in start_thread (arg=0x7fd8ebfff700) at pthread_create.c:333
#10 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7fd8eaffe700 (LWP 18113)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd941d79644 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#2  0x00007fd941d79689 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#3  0x00007fd93d27a6aa in start_thread (arg=0x7fd8eaffe700) at pthread_create.c:333
#4  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7fd8ea7fd700 (LWP 18114)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106e7e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd8ea7fd700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7fd8e90cb700 (LWP 18119)):
#0  0x00007fd93d9ef49d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93a14a2f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a10696c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106e60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#9  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007fd93d27a6aa in start_thread (arg=0x7fd8e90cb700) at pthread_create.c:333
#11 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7fd85a756700 (LWP 18121)):
#0  0x00007fd93d9f38dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93a106ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd85a756700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7fd859425700 (LWP 18122)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a10673e in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106e60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd9428dfb26 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#8  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fd93d27a6aa in start_thread (arg=0x7fd859425700) at pthread_create.c:333
#10 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7fd84bfff700 (LWP 18123)):
#0  0x00007fd93a103ee5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a10639b in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd9428dfb26 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#8  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fd93d27a6aa in start_thread (arg=0x7fd84bfff700) at pthread_create.c:333
#10 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7fd84a614700 (LWP 18124)):
#0  0x00007fd93d9f38dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93a106ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd84a614700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7fd843790700 (LWP 18147)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106e7e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd843790700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7fd84275f700 (LWP 18148)):
#0  0x00007fd93d9f38dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93a106ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd84275f700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7fd84165e700 (LWP 18149)):
#0  0x00007fd93a106920 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106e60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd84165e700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7fd82ffff700 (LWP 18150)):
#0  0x00007fd93d9f38dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93a106ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd82ffff700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7fd82effe700 (LWP 18151)):
#0  0x00007fd93d9f38dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93a106ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd82effe700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7fd82dffd700 (LWP 18152)):
#0  0x00007fd93e30b145 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#1  0x00007fd93a1063fd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fd93d27a6aa in start_thread (arg=0x7fd82dffd700) at pthread_create.c:333
#10 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7fd82cffc700 (LWP 18153)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a105df0 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106d75 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fd93d27a6aa in start_thread (arg=0x7fd82cffc700) at pthread_create.c:333
#10 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7fd81f7ff700 (LWP 18154)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a1068cc in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106e60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fd93d27a6aa in start_thread (arg=0x7fd81f7ff700) at pthread_create.c:333
#10 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7fd81e7fe700 (LWP 18155)):
#0  0x00007fd93d9f38dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd93a106ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd81e7fe700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7fd81d7fd700 (LWP 18156)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106fb8 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#6  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93d27a6aa in start_thread (arg=0x7fd81d7fd700) at pthread_create.c:333
#8  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7fd80a457700 (LWP 18161)):
#0  0x00007fd93a106972 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106e60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd93d27a6aa in start_thread (arg=0x7fd80a457700) at pthread_create.c:333
#9  0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fd809354700 (LWP 18162)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a1068cc in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106e60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fd93d27a6aa in start_thread (arg=0x7fd809354700) at pthread_create.c:333
#10 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fd8016a2700 (LWP 19545)):
#0  0x00007fd93a14b789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd93a106409 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd93a106de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd93e30bbfc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd93e06fb44 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd93fdfdf45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007fd93e074b0e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007fd93d27a6aa in start_thread (arg=0x7fd8016a2700) at pthread_create.c:333
#10 0x00007fd93d9feeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fd942c427c0 (LWP 18028)):
[KCrash Handler]
#6  0x00007fd93d92d267 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#7  0x00007fd93d92eeca in __GI_abort () at abort.c:89
#8  0x00007fd93dd2306d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#9  0x00007fd93dd20ee6 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#10 0x00007fd93dd20f31 in std::terminate() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#11 0x00007fd93dd21a7f in __cxa_pure_virtual () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#12 0x00007fd93e5ec96a in QPlatformScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#13 0x00007fd93e6267b2 in QScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#14 0x00007fd93e626869 in QScreen::physicalDotsPerInch() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#15 0x00007fd942a65c19 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#16 0x00007fd93e2e3999 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#17 0x00007fd93e603d4f in QWindow::screenChanged(QScreen*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#18 0x00007fd93e6045a5 in QWindowPrivate::emitScreenChangedRecursion(QScreen*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#19 0x00007fd93e607cc3 in QWindowPrivate::setTopLevelScreen(QScreen*, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#20 0x00007fd93e607e65 in QWindow::screenDestroyed(QObject*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#21 0x00007fd93e2e332a in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#22 0x00007fd93e2e40cf in QObject::destroyed(QObject*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#23 0x00007fd93e2eca5b in QObject::~QObject() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#24 0x00007fd93e626679 in QScreen::~QScreen() () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#25 0x00007fd93e5ecf2a in QPlatformScreen::~QPlatformScreen() () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#26 0x00007fd930d1b719 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
#27 0x00007fd930d0e55b in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
#28 0x00007fd930d0f22d in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
#29 0x00007fd930d1046b in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
#30 0x00007fd93e2e470a in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#31 0x00007fd93ebbcb2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#32 0x00007fd93ebc2000 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#33 0x00007fd93e2b2bfb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#34 0x00007fd93e2b4c6b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#35 0x00007fd93e30b7d3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#36 0x00007fd93a106c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007fd93a106f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#38 0x00007fd93a106fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#39 0x00007fd93e30bbe7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#40 0x00007fd93e2b03b2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#41 0x00007fd93e2b7ffc in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#42 0x000000000042fd9b in main (argc=2, argv=<optimized out>) at ../../shell/main.cpp:158

Possible duplicates by query: bug 343216.

Reported using DrKonqi
Comment 1 Ron Willhoite 2015-03-27 03:47:19 UTC
Created attachment 91765 [details]
New crash information added by DrKonqi

plasmashell (5.2.2) using Qt 5.4.1

- What I was doing when the application crashed:

Kmenu > Konsole

Krunner crashed, then Plasma.

Plasma restarted itself, and Konsole eventually opened.

-- Backtrace (Reduced):
#6  0x00007f291e1fd267 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#7  0x00007f291e1feeca in __GI_abort () at abort.c:89
[...]
#12 0x00007f291eebc96a in QPlatformScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#13 0x00007f291eef67b2 in QScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#14 0x00007f291eef6869 in QScreen::physicalDotsPerInch() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
Comment 2 Ron Willhoite 2015-03-29 14:03:53 UTC
From 344336:

FWIW, following up on Vishesh's comment about multiple monitors, I left my laptop lid open for a couple of days and didn't experience any crashes.

This morning, before opening the laptop lid, I clicked on the update notifier icon in the panel and the got the krunner crash followed by the plasma crash. The crash reporter said the backtrace indicated a duplicate of 345544. I'll post this comment there as well.
Comment 3 David Edmundson 2015-04-01 19:26:49 UTC
*** Bug 345768 has been marked as a duplicate of this bug. ***
Comment 4 Marco Martin 2015-04-02 11:52:28 UTC
*** Bug 345791 has been marked as a duplicate of this bug. ***
Comment 5 Bhushan Shah 2015-04-02 13:44:38 UTC
*** Bug 345801 has been marked as a duplicate of this bug. ***
Comment 6 Bhushan Shah 2015-04-04 10:58:17 UTC
*** Bug 345845 has been marked as a duplicate of this bug. ***
Comment 7 Bhushan Shah 2015-04-10 14:57:21 UTC
*** Bug 345955 has been marked as a duplicate of this bug. ***
Comment 8 Marco Martin 2015-04-13 08:34:50 UTC
is same as bug 343216 and probably upstream.

d->platformScreen->physicalSize(); from QScreen::physicalSize() gets probably called when platformScreen is either not valid anymore or not valid yet, causing the pure vitual exception due to invoking a virtual from a dangling pointer
Comment 9 bwduncan 2015-04-16 16:58:24 UTC
Created attachment 92084 [details]
New crash information added by DrKonqi

plasmashell (5.2.2) using Qt 5.4.1

- What I was doing when the application crashed:

This crash is reproducible by disconnecting my laptop  from its docking station which has a VGA monitor attached. Plasma restarts and all is well.

-- Backtrace (Reduced):
#6  0x000000323a035267 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#7  0x000000323a036eca in __GI_abort () at abort.c:89
[...]
#12 0x0000003b1c8d896a in QPlatformScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#13 0x0000003b1c9127b2 in QScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#14 0x0000003b1c912869 in QScreen::physicalDotsPerInch() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
Comment 10 bwduncan 2015-04-16 17:02:59 UTC
This is the reproducible krunner backtrace, only for the crashing thread:

Thread 1 (Thread 0x7f7bd2d307c0 (LWP 2385)):
[KCrash Handler]
#6  0x000000323a035267 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#7  0x000000323a036eca in __GI_abort () at abort.c:89
#8  0x0000003b1b66106d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#9  0x0000003b1b65eee6 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#10 0x0000003b1b65ef31 in std::terminate() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#11 0x0000003b1b65fa7f in __cxa_pure_virtual () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#12 0x0000003b1c8d896a in QPlatformScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#13 0x0000003b1c9127b2 in QScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#14 0x0000003b1c912869 in QScreen::physicalDotsPerInch() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#15 0x0000003b28086c49 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#16 0x0000003b1c1129c9 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#17 0x0000003b1c8efd4f in QWindow::screenChanged(QScreen*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#18 0x0000003b1c8f05a5 in QWindowPrivate::emitScreenChangedRecursion(QScreen*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#19 0x0000003b1c8f3cc3 in QWindowPrivate::setTopLevelScreen(QScreen*, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#20 0x00000000004077c0 in operator() (screen=0x19a4c20, __closure=<synthetic pointer>) at ../../krunner/view.cpp:97
#21 call (arg=<optimized out>, f=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:494
#22 call<QtPrivate::List<QScreen*>, void> (arg=<optimized out>, f=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:551
#23 QtPrivate::QFunctorSlotObject<View::View(QWindow*)::<lambda(QScreen*)>, 1, QtPrivate::List<QScreen*>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=<optimized out>, this_=<optimized out>, r=<optimized out>, a=<optimized out>, ret=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:192
#24 0x0000003b1c11235a in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#25 0x0000003b1c8e1cb2 in QGuiApplication::screenRemoved(QScreen*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#26 0x0000003b1c912659 in QScreen::~QScreen() () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#27 0x0000003b1c912679 in QScreen::~QScreen() () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#28 0x0000003b1c8d8f2a in QPlatformScreen::~QPlatformScreen() () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#29 0x00007f7bd29e3769 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
#30 0x00007f7bd29d65ab in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
#31 0x00007f7bd29d727d in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
#32 0x00007f7bd29d84bb in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
#33 0x0000003b1c11373a in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#34 0x0000003b1cf5bb2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#35 0x0000003b1cf61000 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#36 0x0000003b1c0e1c2b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#37 0x0000003b1c0e3c9b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#38 0x0000003b1c13a843 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#39 0x000000323b849c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#40 0x000000323b849f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#41 0x000000323b849fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#42 0x0000003b1c13ac57 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#43 0x0000003b1c0df3e2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#44 0x0000003b1c0e702c in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#45 0x0000000000407447 in main (argc=1, argv=<optimized out>) at ../../krunner/main.cpp:71
Comment 11 Torsten Römer 2015-04-22 18:12:23 UTC
Created attachment 92165 [details]
New crash information added by DrKonqi

plasmashell (5.2.2) using Qt 5.4.1

- What I was doing when the application crashed:

Disconnected external screen VGA1. This causes the primary display to move from external screen VGA1 to the laptop screen LVDS1.

-- Backtrace (Reduced):
#6  0x00007f30ed3e2267 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#7  0x00007f30ed3e3eca in __GI_abort () at abort.c:89
[...]
#12 0x00007f30ee0a196a in QPlatformScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#13 0x00007f30ee0db7b2 in QScreen::physicalSize() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#14 0x00007f30ee0db869 in QScreen::physicalDotsPerInch() const () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
Comment 12 David Edmundson 2015-04-22 19:23:43 UTC
*** Bug 346479 has been marked as a duplicate of this bug. ***
Comment 13 David Edmundson 2015-04-22 19:29:43 UTC
Seems it's all in Qt code; I haven't seen this ever, so maybe it's fixed in what will be 5.4.2?

All of these are missing the one symbol that matters:
#15 0x0000003b28086c49 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5

it's where it's actually doing the wrong thing on reaction to a screen change, accessing some invalid object.

Could someone who can reproduce this install -dbg for qt-declarative?
Comment 14 David Edmundson 2015-04-22 19:56:05 UTC
Edit, it's going to be:
QQuickScreenAttached::screenChanged(QScreen *screen)

Which mostly doesn't do anything wrong.

It checks if a value has changed from the new screen compared to the old screen.

if (!oldScreen || screen->physicalDotsPerInch() != oldScreen->physicalDotsPerInch())

However this is called from the destructor of the old screen:
#27 0x0000003b1c912679 in QScreen::~QScreen() () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

calling methods on an object before we delete it is normally fine, we're not actually deleted till this method ends.

but in this case we're calling a virtual method from a destructor.

This is sometimes safe, sometimes not safe depending on black magic:
http://stackoverflow.com/questions/12092933/calling-virtual-function-from-destructor
Comment 15 bwduncan 2015-04-22 22:00:18 UTC
Hi David,

Thanks very much for looking into this. I've installed the qtdeclarative5-dbg package, which pulled in a few others. I can reproduce this by docking and undocking my laptop, which I will do first thing tomorrow when I get to work.

Cheers,
Bruce
Comment 16 David Edmundson 2015-04-23 01:55:17 UTC
 bwduncan@gmail.com, there's no need now. 

I know exactly what's wrong; I'm not super sure I can get a workaround into 5.4. I'll try.

I'll open a bug upstream tomomorrow and put a link to there.
Comment 17 David Edmundson 2015-04-23 07:00:30 UTC
Please follow updates here

https://bugreports.qt.io/browse/QTBUG-45753
Comment 18 David Edmundson 2015-04-23 13:07:12 UTC
It's fixed in Qt 5.5, but it's probably a long time till distros get that.

I've opened a review request working round the problem for Qt5.4.2 which is in a few days.

https://codereview.qt-project.org/#/c/111100/
Comment 19 David Edmundson 2015-04-23 18:39:22 UTC
*** Bug 346513 has been marked as a duplicate of this bug. ***
Comment 20 David Edmundson 2015-04-23 18:39:33 UTC
*** Bug 346514 has been marked as a duplicate of this bug. ***
Comment 21 David Edmundson 2015-04-23 18:40:46 UTC
*** Bug 346512 has been marked as a duplicate of this bug. ***
Comment 22 David Edmundson 2015-04-27 17:48:15 UTC
Update for people who watch this stuff.

Qt fixed it properly for Qt 5.5 which won't be out for a while.

I submitted a workaround for Qt 5.4.2 which is now submitted, and most distros (Fedora, OpenSUSE) are going to apply that patch early.
Comment 23 Marcelo Ricardo Leitner 2015-04-27 17:51:00 UTC
Cool, thanks David!
Comment 24 bwduncan 2015-04-28 09:10:31 UTC
Thanks David, that's fantastic!

Do you happen to know if Ubuntu is one of the distros who are going to patch this early or should I submit a bug with them too?

Ta,
Bruce
Comment 25 David Edmundson 2015-04-29 21:58:55 UTC
*** Bug 346886 has been marked as a duplicate of this bug. ***
Comment 26 David Edmundson 2015-05-01 08:33:12 UTC
*** Bug 346996 has been marked as a duplicate of this bug. ***
Comment 27 Marco Martin 2015-05-01 09:08:13 UTC
*** Bug 346751 has been marked as a duplicate of this bug. ***
Comment 28 David Edmundson 2015-05-02 18:37:28 UTC
*** Bug 347072 has been marked as a duplicate of this bug. ***
Comment 29 Stefan Becker 2015-05-03 05:30:33 UTC
Fixed for Fedora with qt5-qtdeclarative-5.4.1-4.fc22 (https://admin.fedoraproject.org/updates/qt5-qtdeclarative). I can't reproduce the crash any more.
Comment 30 David Edmundson 2015-05-03 15:43:07 UTC
*** Bug 347106 has been marked as a duplicate of this bug. ***
Comment 31 David Edmundson 2015-05-04 15:22:10 UTC
*** Bug 347156 has been marked as a duplicate of this bug. ***
Comment 32 David Edmundson 2015-05-04 23:08:05 UTC
*** Bug 347196 has been marked as a duplicate of this bug. ***
Comment 33 Antonis Kanouras 2015-05-09 15:20:49 UTC
Will be addressed in an SRU to Kubuntu 15.04:
https://bugs.launchpad.net/ubuntu/+source/qtdeclarative-opensource-src/+bug/1450137
Comment 34 Bhushan Shah 2015-05-10 05:08:21 UTC
*** Bug 347494 has been marked as a duplicate of this bug. ***
Comment 35 David Edmundson 2015-05-10 14:31:09 UTC
*** Bug 347133 has been marked as a duplicate of this bug. ***
Comment 36 David Edmundson 2015-05-14 10:31:22 UTC
*** Bug 347696 has been marked as a duplicate of this bug. ***
Comment 37 David Edmundson 2015-05-18 17:05:03 UTC
*** Bug 347908 has been marked as a duplicate of this bug. ***
Comment 38 David Edmundson 2015-05-19 13:35:48 UTC
*** Bug 347932 has been marked as a duplicate of this bug. ***
Comment 39 David Edmundson 2015-05-19 15:42:29 UTC
*** Bug 347958 has been marked as a duplicate of this bug. ***
Comment 40 David Edmundson 2015-05-22 23:14:24 UTC
*** Bug 348111 has been marked as a duplicate of this bug. ***
Comment 41 David Edmundson 2015-05-28 09:57:44 UTC
*** Bug 348359 has been marked as a duplicate of this bug. ***
Comment 42 David Edmundson 2015-05-31 20:49:43 UTC
*** Bug 348520 has been marked as a duplicate of this bug. ***
Comment 43 David Edmundson 2015-06-02 10:21:55 UTC
*** Bug 348576 has been marked as a duplicate of this bug. ***
Comment 44 Matthias Blaicher 2015-06-02 14:34:30 UTC
(In reply to David Edmundson from comment #22)
> Update for people who watch this stuff.
> 
> Qt fixed it properly for Qt 5.5 which won't be out for a while.
> 
> I submitted a workaround for Qt 5.4.2 which is now submitted, and most
> distros (Fedora, OpenSUSE) are going to apply that patch early.

Okay, so Qt 5.4.2 has been released, but the patch was not included (as checked against the tar balls)? How could that have happened?
Comment 45 Matthias Blaicher 2015-06-03 12:35:45 UTC
Ok so I compiled Qt 5.4.1 with the patch and also Arch Linux just provided 5.4.2 including this patch. While the overall stability is indeed improved - I still see crashes when changing monitor settings and most prominently when undocking my laptop.

Are there any other outstanding monitor related bugfixes in 5.4.2?

Also see https://bugs.archlinux.org/task/43986 where another user has reported remaining problems with a patch Qt 5.4.2.
Comment 46 David Edmundson 2015-06-07 07:37:57 UTC
*** Bug 348804 has been marked as a duplicate of this bug. ***
Comment 47 David Edmundson 2015-06-10 04:50:49 UTC
*** Bug 348947 has been marked as a duplicate of this bug. ***
Comment 48 David Edmundson 2015-06-10 14:16:36 UTC
*** Bug 348961 has been marked as a duplicate of this bug. ***
Comment 49 David Edmundson 2015-06-10 14:26:23 UTC
*** Bug 348936 has been marked as a duplicate of this bug. ***
Comment 50 David Edmundson 2015-06-10 17:40:09 UTC
*** Bug 348995 has been marked as a duplicate of this bug. ***
Comment 51 David Edmundson 2015-06-12 04:13:56 UTC
*** Bug 349049 has been marked as a duplicate of this bug. ***
Comment 52 David Edmundson 2015-06-12 04:15:43 UTC
Update for people watching; it got merged into the 5.4 branch but for some reason it's not in 5.4.2. I don't know why :(
Comment 53 Bhushan Shah 2015-06-12 11:40:53 UTC
*** Bug 348925 has been marked as a duplicate of this bug. ***
Comment 54 Martin Klapetek 2015-06-12 11:46:48 UTC
*** Bug 348956 has been marked as a duplicate of this bug. ***
Comment 55 Matthias Blaicher 2015-06-13 11:17:06 UTC
@David Edmundson:
Are you sure that the Qt crashes are thoroughly resolved by your Qt 5.4.2 patch? I'm on 5.4.2 with applied patch and still get crashes when connecting and removing monitors. 
I have seen krunner,  systemsettings5 and yakuake crash despite the patch.

Of all the duplicates closed recently, might not be many of these already on 5.4.2 (+patch) with remaining issues? Is there even any distro out there shipping Qt 5.4.2 without the additional patch?

For example the last marked duplicate  bug 348956 is on Qt 5.4.2 and Fedora 22 which indeed already includes the patch:

> http://pkgs.fedoraproject.org/cgit/qt5-qtdeclarative.git/commit/?h=f22&id=4741dae1b2aedabbc3e87cf8e3f3088386270860
Comment 56 David Edmundson 2015-06-13 14:32:50 UTC
*** Bug 349092 has been marked as a duplicate of this bug. ***
Comment 57 Bhushan Shah 2015-06-19 12:49:30 UTC
*** Bug 349364 has been marked as a duplicate of this bug. ***
Comment 58 Michael J Gruber 2015-06-30 08:26:31 UTC
I can confirm that bug 348961 (which is a crash reporter dupe of this one) is fixed for me with
QT as in qt5-qt*-5.4.2-1.fc21 on Fedora 21.

Thanks!
Comment 59 David Edmundson 2015-07-16 10:06:13 UTC
*** Bug 350282 has been marked as a duplicate of this bug. ***
Comment 60 David Edmundson 2015-07-17 15:42:03 UTC
*** Bug 350320 has been marked as a duplicate of this bug. ***
Comment 61 Bhushan Shah 2015-07-22 16:54:48 UTC
*** Bug 350503 has been marked as a duplicate of this bug. ***
Comment 62 Torsten Römer 2015-07-26 11:50:39 UTC
Could I just ask how a regular kubuntu user can get this issue fixed? 

I have clean kubuntu 15.04 install with all regular updates, but get these crashes nearly every time I disconnect the external screen. 
Sometimes there is no taskbar at all so I need to restart, and even worse sometimes KDE crashes on startup returning to the login screen and only connecting the external screen solves this, a restart won't help. Currently I cannot use my laptop without external screen because of this.

I don't know if this is really related to this bug, please forgive me if not, I'll create a new bug report then.
Here the end of .xsession-errors, maybe helpful:

kdeinit5: preparing to launch 'libkdeinit5_ksmserver'
kscreen: Launcher finished with exit code 0 , status 1
kf5.kiconthemes: "Theme tree: (Breeze)"
Communication problem with  "kaccess" , it probably crashed. 
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not receive a reply (timeout by message bus)" " 

kdeinit5: PID 1930 terminated.
kdeinit5: PID 1936 terminated.
startkde: Shutting down...
kdeinit5: terminate KDE.
klauncher: Exiting on signal 1
QDBusAbstractAdaptor: Cannot relay signal KDEDModule::moduleDeleted(KDEDModule*): Pointers are not supported: KDEDModule*
QDBusAbstractAdaptor: Cannot relay signal KDEDModule::moduleDeleted(KDEDModule*): Pointers are not supported: KDEDModule*
QDBusAbstractAdaptor: Cannot relay signal KDEDModule::moduleDeleted(KDEDModule*): Pointers are not supported: KDEDModule*
startkde: Running shutdown scripts...
startkde: Done.
KCrash: Attempting to start /usr/bin/kdeinit5 from kdeinit
Warning: connect() failed: : Datei oder Verzeichnis nicht gefunden
KCrash: Attempting to start /usr/bin/kdeinit5 directly
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = kdeinit5 path = /usr/bin pid = 1876
KCrash: Arguments: /usr/bin/kdeinit5 
kdeinit5: preparing to launch 'libkdeinit5_klauncher'
kdeinit5: Launched KLauncher, pid = 1999, result = 0
Invalid MIT-MAGIC-COOKIE-1 keyQXcbConnection: Could not connect to display :0
kdeinit5: Communication error with launcher. Exiting!
Comment 63 David Edmundson 2015-07-27 12:40:54 UTC
*** Bug 343216 has been marked as a duplicate of this bug. ***
Comment 64 Matthias Blaicher 2015-08-01 05:57:48 UTC
(In reply to Torsten Römer from comment #62)
> Could I just ask how a regular kubuntu user can get this issue fixed? 
> 
> I have clean kubuntu 15.04 install with all regular updates, but get these
> crashes nearly every time I disconnect the external screen. 
> Sometimes there is no taskbar at all so I need to restart, and even worse
> sometimes KDE crashes on startup returning to the login screen and only
> connecting the external screen solves this, a restart won't help. Currently
> I cannot use my laptop without external screen because of this.

The status as far as I understand is, that 5.4.2 + a patch which was expected to be in there will solve most of the issues (I still had remaining issues). 

However qt 5.5 has restructured most of the code and the 5.4.2 solution does not apply anymore.   On Arch Linux Qt 5.5 is already shipped. While the situation is better than in the 5.4.1 days, there are still issues: https://bugreports.qt.io/browse/QTBUG-44158

With the two patches applied in there the situation becomes bearable. Small issues remain but I don't think they have a bug tracker entry yet.

To come back to your question: You'll have to get at least a patched Qt 5.4.2 version. Since vivid is still at 5.4.1, i doubt it will be easy.  

https://bugs.launchpad.net/ubuntu/+source/qtdeclarative-opensource-src/+bug/1450137
Comment 65 Torsten Römer 2015-08-01 10:59:46 UTC
(In reply to Matthias Blaicher from comment #64)
> To come back to your question: You'll have to get at least a patched Qt
> 5.4.2 version. Since vivid is still at 5.4.1, i doubt it will be easy.  
> 
> https://bugs.launchpad.net/ubuntu/+source/qtdeclarative-opensource-src/+bug/
> 1450137

Thanks for the detailed information. I guess we'll have to wait for 15.10 then.

The issue with KDE crashing during startup at certain display configurations was solved for me by deleting the screen configurations in ~/.local/share/kscreen.
Since then there are also no crashes when I disconnect the external screen.

The problem with the taskbar however remains, sometimes when the external screen is disconnected it is gone, and sometimes the "Primary display" setting and the actual position of the taskbar are inverted, i.e. I have to set the primary display to "Laptop" in order to have the taskbar on the external screen and vice-versa.
Comment 66 David Edmundson 2015-08-17 22:19:03 UTC
*** Bug 351415 has been marked as a duplicate of this bug. ***
Comment 67 Johannes Hirte 2015-08-20 07:13:43 UTC
(In reply to Matthias Blaicher from comment #64)
> (In reply to Torsten Römer from comment #62)
> > Could I just ask how a regular kubuntu user can get this issue fixed? 
> > 
> > I have clean kubuntu 15.04 install with all regular updates, but get these
> > crashes nearly every time I disconnect the external screen. 
> > Sometimes there is no taskbar at all so I need to restart, and even worse
> > sometimes KDE crashes on startup returning to the login screen and only
> > connecting the external screen solves this, a restart won't help. Currently
> > I cannot use my laptop without external screen because of this.
> 
> The status as far as I understand is, that 5.4.2 + a patch which was
> expected to be in there will solve most of the issues (I still had remaining
> issues). 
> 
> However qt 5.5 has restructured most of the code and the 5.4.2 solution does
> not apply anymore.   On Arch Linux Qt 5.5 is already shipped. While the
> situation is better than in the 5.4.1 days, there are still issues:
> https://bugreports.qt.io/browse/QTBUG-44158

On Gentoo with Qt 5.5 I get this crash everytime when connecting/disconnecting an external monitor to my laptop.  So I can't confirm that it's resolved upstream.
Comment 68 Matthias Blaicher 2015-08-20 07:18:09 UTC
As I said, even in Qt 5.5 there are still issues remaining. In particular you need to apply the patches  merged after the 5.5.0 release:

https://codereview.qt-project.org/#/c/114796/
https://codereview.qt-project.org/#/c/120700/

Even that will still not be bug free and there are still crashes coming up. See also the discussion in https://bugs.archlinux.org/task/43986

Best,
Matthias
Comment 69 David Edmundson 2015-10-27 21:54:39 UTC
*** Bug 354471 has been marked as a duplicate of this bug. ***
Comment 70 David Edmundson 2015-11-08 20:24:19 UTC
*** Bug 354968 has been marked as a duplicate of this bug. ***
Comment 71 David Edmundson 2015-11-18 23:34:45 UTC
*** Bug 355567 has been marked as a duplicate of this bug. ***
Comment 72 David Edmundson 2015-11-22 02:05:29 UTC
*** Bug 355614 has been marked as a duplicate of this bug. ***
Comment 73 Marco Martin 2016-04-07 11:10:17 UTC
*** Bug 360867 has been marked as a duplicate of this bug. ***
Comment 74 Marco Martin 2016-05-04 11:07:59 UTC
*** Bug 361659 has been marked as a duplicate of this bug. ***
Comment 75 mariakatosvich 2016-06-11 06:49:45 UTC
Thanks for the detailed information. I guess we'll have to wait for 15.10 then. The issue with KDE crashing during startup at certain display configurations was solved for me by deleting the screen configurations in ~/.local/share/kscreen. Since then there are also no crashes when I disconnect the external screen.
Thanks
http://qwikfix.co.uk/sky-customer-services/
Comment 76 David Edmundson 2016-09-08 14:04:31 UTC
*** Bug 368431 has been marked as a duplicate of this bug. ***